Uploaded image for project: 'Ambari'
  1. Ambari
  2. AMBARI-19268

ulimit override missing from upgrade catalogs

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.2.2
    • Fix Version/s: 2.5.0
    • Component/s: ambari-upgrade
    • Labels:
      None

      Description

      After upgrade from 2.0.0 hadoop-env doesn't contain:

      {% if is_datanode_max_locked_memory_set %}
      # Fix temporary bug, when ulimit from conf files is not picked up, without full relogin. 
      # Makes sense to fix only when runing DN as root 
      if [ "$command" == "datanode" ] && [ "$EUID" -eq 0 ] && [ -n "$HADOOP_SECURE_DN_USER" ]; then
        ulimit -l {{datanode_max_locked_memory}}
      fi
      {% endif %}
      

        Attachments

        1. AMBARI-19268_5.patch
          5 kB
          Dmytro Sen

          Issue Links

            Activity

              People

              • Assignee:
                dsen Dmytro Sen
                Reporter:
                dsen Dmytro Sen
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: